## org.gjt.sp.jedit
Class MiscUtilities.MenuItemCompare

    java.lang.Object
      org.gjt.sp.jedit.MiscUtilities.MenuItemCompare

All Implemented Interfaces:
  java.util.Comparator, MiscUtilities.Compare

Enclosing class:
  MiscUtilities

Deprecated. Replaced with `MenuItemTextComparator`

    @Deprecated
    public static class MiscUtilities.MenuItemCompare

extends java.lang.Object
implements MiscUtilities.Compare

Compares menu item labels.

Constructor Summary
`MiscUtilities.MenuItemCompare()` Deprecated.

Method Summary
`int` `compare(java.lang.Object obj1, java.lang.Object obj2)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### MiscUtilities.MenuItemCompare

    public MiscUtilities.MenuItemCompare()

  Deprecated.

Method Detail

### compare

    public int compare(java.lang.Object obj1,
                       java.lang.Object obj2)

  Deprecated.
  Specified by:
    `compare` in interface `java.util.Comparator`
  Specified by:
    `compare` in interface `MiscUtilities.Compare`